package com.changhu.common.db.enums;

import com.baomidou.mybatisplus.annotation.IEnum;
import com.changhu.common.db.BaseEnum;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;
import java.util.stream.Collectors;

/**
 * @author 20252
 * @createTime 2024/11/5 下午4:22
 * @desc EnterprisesUnitType...
 */
@Getter
@AllArgsConstructor
public enum EnterprisesUnitType implements BaseEnum<String>, IEnum<String> {

    party_government("party_government", "党政机关"),
    medical("medical", "医疗机构"),
    residential("residential", "小区"),
    higher_learning("higher_learning", "高等院校"),
    primary_and_secondary("primary_and_secondary", "中小学幼儿园"),
    shopping_supermarkets("shopping_supermarkets", "商场超市"),
    financial("financial", "金融机构"),
    hydropower("hydropower", "水电油气"),
    key_projects("key_projects", "重点工程建设单位"),
    delivery_logistics("delivery_logistics", "寄递物流"),
    military("military", "军工、科研单位"),
    wen_bo("wen_bo", "文博单位"),
    important_news("important_news ", "重要新闻单位"),
    large_scale_material("large_scale_material ", "大型物资储备"),
    transportation("transportation", "交通运输企业"),
    industrial_park("industrial_park", "工业园区企业"),
    complex_public_security("complex_public_security", "治安复杂场所"),
    making_explosive_easily("making_explosive_easily ", "易制爆"),
    hazardous_materials("hazardous_materials ", "危化物品存放场所"),
    other("other", "其他单位");

    private final String value;
    private final String label;

}
